require 'sketchup.rb'
require 'net/http'
require 'json'
require 'pathname'

Sketchup.require(File.join(File.dirname(__FILE__), "config"))
Sketchup.require(File.join(File.dirname(__FILE__), "sentio_logger"))
Sketchup.require(File.join(File.dirname(__FILE__), "csrf_request"))
Sketchup.require(File.join(File.dirname(__FILE__), "pluginreloader"))

module TestSolutionario
  module TestSentio
    extend self

    def init
      SKETCHUP_CONSOLE.show if DEBUG

      csrfReq = CSRFRequest.new
      csrfReq.get_token { |t| puts "#{t}"}
    end

    unless file_loaded?(__FILE__)

      menu = UI.menu('Plugins')

      #TODO Group the multiple menu items.
      menu.add_item('TestSentioVR') {init()}
      init()

      file_loaded(__FILE__)
    end

  end
end
